--- vulcan-0.92/Makefile	2008-02-28 02:57:00.000000000 +0200
+++ vulcan-0.92-fix/Makefile	2008-06-07 22:14:11.873046016 +0300
@@ -1,6 +1,6 @@
 VERSION	= 0.92
 
-PREFIX = /usr/local
+PREFIX = /usr
 BIN = $(PREFIX)/bin
 DATA_DIR = $(PREFIX)/share/vulcan
 
@@ -13,7 +13,7 @@
 LD	= gcc
 YACC	= bison -y
 LEX	= flex
-CFLAGS	= -O2 -g -Wall \
+CFLAGS	= -O2 -march=i486 -mtune=i686 -g -Wall \
 	-I/usr/X11R6/include -I/usr/local/include -Ilib3d \
 	-DDATA_DIR=\"$(DATA_DIR)\" -DFONT_DIR=\"$(FONT_DIR)\" \
 	-DMODEL_DIR=\"$(MODEL_DIR)\" -DTEXTURE_DIR=\"$(TEXTURE_DIR)\"
@@ -118,17 +118,18 @@
 	(cd ..; rm vulcan-$(VERSION))
 
 install: $(TARGET) chessmodels
-	install -s -m 755 $(TARGET) $(BIN)
-	install -m 755 -d $(DATA_DIR)
-	install -m 755 -d $(FONT_DIR)
-	cp data/fonts/* $(FONT_DIR)
-	chmod 644 $(FONT_DIR)/*
-	install -m 755 -d $(MODEL_DIR)
-	./chessmodels > $(MODEL_DIR)/chess-models.modeldef
-	chmod 644 $(MODEL_DIR)/*
-	install -m 755 -d $(TEXTURE_DIR)
-	cp data/textures/* $(TEXTURE_DIR)
-	chmod 644 $(TEXTURE_DIR)/*
+	install -m 755 -d $(DESTDIR)/$(BIN)
+	install -s -m 755 $(TARGET) $(DESTDIR)/$(BIN)
+	install -m 755 -d $(DESTDIR)/$(DATA_DIR)
+	install -m 755 -d $(DESTDIR)/$(FONT_DIR)
+	cp data/fonts/* $(DESTDIR)/$(FONT_DIR)
+	chmod 644 $(DESTDIR)/$(FONT_DIR)/*
+	install -m 755 -d $(DESTDIR)/$(MODEL_DIR)
+	./chessmodels > $(DESTDIR)/$(MODEL_DIR)/chess-models.modeldef
+	chmod 644 $(DESTDIR)/$(MODEL_DIR)/*
+	install -m 755 -d $(DESTDIR)/$(TEXTURE_DIR)
+	cp data/textures/* $(DESTDIR)/$(TEXTURE_DIR)
+	chmod 644 $(DESTDIR)/$(TEXTURE_DIR)/*
 
 distclean:
 	rm -f $(BIN)/$(TARGET)
